Subject: bug#15615: Pulseaudio build fails

From: "Thompson, David" <[email-masked]>
Date: Mon, 28 Oct 2013 11:19:46 -0400

Thanks, Andreas. Took me awhile to get around to trying it, but it
worked for me.

On Thu, Oct 17, 2013 at 8:17 AM, Andreas Enge <[email-masked]> wrote:
> On Wed, Oct 16, 2013 at 09:22:23PM -0400, David Thompson wrote:
>> Have other Debian users worked around this issue?
>
> Well, you can delete the symbolic link, create a directory /dev/shm and
> mount a new tmpfs there:
>    rm /dev/shm
>    mkdir /dev/shm
>    mount -t tmpfs -o size=1G tmpfs /dev/shm
>
> I did this once or twice to compile a package the tests of which would
> otherwise fail. I do not know what happens if you reboot; each time,
> I reverted the changes with
>    umount /dev/shm
>    rmdir /dev/shm
>    ln -s /run/shm /dev/shm
>
> Andreas
>